petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISSetBlockSize

informs an index set that it has a given block size

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISSetBlockSize(IS is,PetscInt bs)

Logicall Collective on IS Many br

### Input Arguments

| is | - index set Many br
| bs | - block size Many br

Many br

### See Also

ISGetBlockSize(), ISCreateBlock()

Level:intermediate
Location:src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex49.c.html